/**
     * Constructor of DocumentRowFactory class. Never use "new DocumentRowFactory()" - use the instance
     * created at the end of this class/file.
     * 
     * @param {Boolean} isPCMEnabled - True if the PCM license is active on this system, false otherwise.
     */

define("doctablex/DocTableXUtils doctablex/StaticDocumentRow doctablex/StaticDocumentRowView doctablex/DocumentRow doctablex/DocumentRowBrowse doctablex/DocumentRowFile doctablex/DocumentRowExternalFile doctablex/DocumentRowSearch doctablex/DocumentRowSearchView doctablex/DocumentRowNew doctablex/DocumentRowNewView doctablex/DocumentRowLink doctablex/DocumentRowLinkView doctablex/DocumentRowCopy require lib/PromisePolyfill".split(" "),function(q,g,r,h,s,t,u,i,v,j,w,k,x,y,z){var d=function(b){this.isPCMEnabled=
!1;void 0===b?window.webcenterConfig&&(this.isPCMEnabled=!!window.webcenterConfig.isPCMEnabled):this.isPCMEnabled=!!b;this.initialization=new Promise(function(b){this.isPCMEnabled?z("doctablex/TextContentRow doctablex/TextContentRowView doctablex/AddedTextContentRow doctablex/TextContentRowSearch doctablex/TextContentRowSearchView doctablex/TextContentRowNew doctablex/TextContentRowNewView doctablex/TextContentRowLink doctablex/TextContentRowLinkView".split(" "),function(a,e,c,f,d,l,m,n,p){a.call(g.prototype);
c.call(h.prototype);f.call(i.prototype);l.call(j.prototype);n.call(k.prototype);e.call(r.prototype);m.call(w.prototype);d.call(v.prototype);p.call(x.prototype);b({TextContentRow:a,TextContentRowView:e,AddedTextContentRow:c,TextContentRowSearch:f,TextContentRowSearchView:d,TextContentRowNew:l,TextContentRowNewView:m,TextContentRowLink:n,TextContentRowLinkView:p})}.bind(this)):b()}.bind(this));return this};d.prototype.createDocumentRow=function(b,d){return this.initialization.then(function(a){var e=
new b(d);if(this.isPCMEnabled){var c=[];b==g?c=[a.TextContentRow]:b==h?c=[a.TextContentRow,a.AddedTextContentRow]:b==s?c=[a.TextContentRow,a.AddedTextContentRow]:b==t?c=[a.TextContentRow,a.AddedTextContentRow]:b==i?c=[a.TextContentRow,a.AddedTextContentRow,a.TextContentRowSearch]:b==j?c=[a.TextContentRow,a.AddedTextContentRow,a.TextContentRowNew]:b==k?c=[a.TextContentRow,a.AddedTextContentRow,a.TextContentRowLink]:b==y?c=[a.TextContentRow,a.AddedTextContentRow]:b==u?c=[]:q.error("Class '"+b+"' is not supported in PCM context!");
for(a=0;a<c.length;a++){var f=c[a];f.__initMixin&&f.__initMixin.call(e,d)}}return e}.bind(this))};d.prototype.createStaticDocumentRow=function(b){return this.createDocumentRow(g,b)};return new d});